<?php
/**
 * Agenda - biblioteca.php
 *
 * @author    Bartolom Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2014 Bartolom Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2014-12-08
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// Constantes y variables globales

define("FORM_METHOD",    "get");           // Formularios se envan con GET
//define("FORM_METHOD",    "post");        // Formularios se envan con POST

define("MYSQL",          "MySQL");         // Base de datos MySQL 
define("SQLITE",         "SQLite");        // Base de datos SQLITE

define("MENU_PRINCIPAL", "menuPrincipal"); // Men principal
define("MENU_VOLVER",    "menuVolver");    // Men Volver a inicio

define("CABECERA_CON_CURSOR", true);       // Para funcin cabecera()
define("CABECERA_SIN_CURSOR", false);      // Para funcin cabecera()

define("MAX_REG_TABLA",  20);              // Nmero mximo de registros en la tabla

$tamNombre    = 40;                        // Tamao del campo Nombre
$tamApellidos = 60;                        // Tamao del campo Apellidos
$tamTelefono  = 10;                        // Tamao del campo Telfono
$tamCorreo    = 50;                        // Tamao del campo Correo

$campos = array(                           // Nombre de los campos de la tabla
    "nombre",
    "apellidos",
    "telefono",
    "correo");

$dbMotor = SQLITE;                         // Base de datos empleada (MYSQL o SQLITE)

if ($dbMotor == MYSQL) {
    require_once "biblioteca_mysql.php";
} elseif ($dbMotor == SQLITE) {
    require_once "biblioteca_sqlite.php";
}

// Funciones comunes

function recoge($var, $var2="")
{
    $tmp = (isset($_REQUEST[$var]) && trim(strip_tags($_REQUEST[$var])) != "")
        ? trim(htmlspecialchars($_REQUEST[$var], ENT_QUOTES, "ISO-8859-1"))
        : strip_tags(trim(htmlspecialchars($var2, ENT_QUOTES, "ISO-8859-1")));
    return $tmp;
}

function recogeMatriz($var)
{
    $tmpMatriz = array();
    if (isset($_REQUEST[$var]) && is_array($_REQUEST[$var])) {
        foreach ($_REQUEST[$var] as $indice => $valor) {
            $indiceLimpio = trim(htmlspecialchars($indice, ENT_QUOTES, "ISO-8859-1"));
            $valorLimpio  = trim(htmlspecialchars($valor,  ENT_QUOTES, "ISO-8859-1"));
            $tmpMatriz[$indiceLimpio] = $valorLimpio;
        }
    }
    return $tmpMatriz;
}

function recogeCampo($var, $var2)
{
    global $campos;

    foreach($campos as $campo) {
        if (isset($_REQUEST[$var]) && $_REQUEST[$var] == $campo) {
            return $campo;
        }
    }
    return $var2;
}

function recogeOrden($var, $var2)
{
    if (isset($_REQUEST[$var]) && $_REQUEST[$var] == "ASC") {
        return "ASC";
    } elseif (isset($_REQUEST[$var]) && $_REQUEST[$var] == "DESC") {
        return "DESC";
    } else {
        return $var2;
    }
}

function cabecera($texto, $menu, $conCursor)
{
    print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"
       \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<head>
  <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\" />
  <title>www.mclibre.org - Agenda - $texto</title>
  <link href=\"mclibre_php_soluciones_proyectos_comun.css\" rel=\"stylesheet\" type=\"text/css\" />
</head>\n\n";
    if ($conCursor) {
        print "<body onload=\"document.getElementById('cursor').focus()\">\n";
    } else {
        print "<body>\n";
    }
    print "<h1>Agenda - $texto</h1>
<div id=\"menu\">
  <ul>\n";
    if ($menu == MENU_PRINCIPAL) {
           print "    <li><a href=\"insertar1.php\">Aadir registro</a></li>
    <li><a href=\"listar.php\">Listar</a></li>
    <li><a href=\"borrar1.php\">Borrar</a></li>
    <li><a href=\"buscar1.php\">Buscar</a></li>
    <li><a href=\"modificar1.php\">Modificar</a></li>
    <li><a href=\"borrartodo1.php\">Borrar todo</a></li>\n";
    } elseif ($menu == MENU_VOLVER) {
        print "    <li><a href=\"index.php\">Pgina inicial</a></li>\n";
    } else {
        print "    <li>Error en la seleccin de men</li>\n";
    }
    print "  </ul>
</div>

<div id=\"contenido\">\n";
}

function pie()
{
    print '</div>

<div id="pie">
<p class="ultmod">ltima modificacin de esta pgina: 8 de diciembre de 2014</p>

<p class="licencia">
Este programa forma parte del curso <strong><span xmlns:dct="http://purl.org/dc/terms/" 
xmlns:property="dct:title">Pginas web con PHP</span></strong> por
<a xmlns:cc="http://creativecommons.org/ns#" href="http://www.mclibre.org/"
rel="cc:attributionURL">Bartolom Sintes Marco</a>.<br />
El programa PHP que genera esta pgina est bajo
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a></p>
</div>
</body>
</html>';
}

?>