<?php
/**
 * Agenda - buscar2.php
 *
 * @author    Bartolom Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2014 Bartolom Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2014-12-08
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

require_once "biblioteca.php";

$db = conectaDb();
cabecera("Buscar 2", MENU_VOLVER, CABECERA_SIN_CURSOR);

$nombre    = recoge("nombre");
$apellidos = recoge("apellidos");
$telefono  = recoge("telefono");
$correo    = recoge("correo");
$campo     = recogeCampo("campo", "apellidos");
$orden     = recogeOrden("orden", "ASC");

$consulta = "SELECT COUNT(*) FROM $dbTabla
    WHERE nombre LIKE :nombre
    AND apellidos LIKE :apellidos
    AND telefono LIKE :telefono
    AND correo LIKE :correo";
$result = $db->prepare($consulta);
$result->execute(array(":nombre" => "%$nombre%", ":apellidos" => "%$apellidos%",
    ":telefono" => "%$telefono%", ":correo" => "%$correo%"));
if (!$result) {
    print "<p>Error en la consulta.</p>\n";
} elseif ($result->fetchColumn() == 0) {
    print "<p>No se han encontrado registros.</p>\n";
} else {
    $consulta = "SELECT * FROM $dbTabla
        WHERE nombre LIKE :nombre
        AND apellidos LIKE :apellidos
        AND telefono LIKE :telefono
        AND correo LIKE :correo
        ORDER BY $campo $orden";
    $result = $db->prepare($consulta);
    $result->execute(array(":nombre" => "%$nombre%", ":apellidos" => "%$apellidos%",
        ":telefono" => "%$telefono%", ":correo" => "%$correo%"));
    if (!$result) {
        print "<p>Error en la consulta.</p>\n";
    } else {
        $datos = "nombre=$nombre&amp;apellidos=$apellidos&amp;"
            ."telefono=$telefono&amp;correo=$correo&amp;campo";
        print "<p>Registros encontrados:</p>\n<table border=\"1\">
  <thead>
    <tr class=\"neg\">
      <th><a href=\"$_SERVER[PHP_SELF]?$datos=nombre&amp;orden=ASC\">
        <img src=\"abajo.png\" alt=\"A-Z\" title=\"A-Z\" /></a>
        Nombre
        <a href=\"$_SERVER[PHP_SELF]?$datos=nombre&amp;orden=DESC\">
        <img src=\"arriba.png\" alt=\"Z-A\" title=\"Z-A\" /></a></th>
      <th><a href=\"$_SERVER[PHP_SELF]?$datos=apellidos&amp;orden=ASC\">
        <img src=\"abajo.png\" alt=\"A-Z\" title=\"A-Z\" /></a>
        Apellidos
        <a href=\"$_SERVER[PHP_SELF]?$datos=apellidos&amp;orden=DESC\">
        <img src=\"arriba.png\" alt=\"Z-A\" title=\"Z-A\" /></a></th>
      <th><a href=\"$_SERVER[PHP_SELF]?$datos=telefono&amp;orden=ASC\">
        <img src=\"abajo.png\" alt=\"0-9\" title=\"0-9\" /></a>
        Telfono
        <a href=\"$_SERVER[PHP_SELF]?$datos=telefono&amp;orden=DESC\">
        <img src=\"arriba.png\" alt=\"9-0\" title=\"9-0\" /></a></th>
      <th><a href=\"$_SERVER[PHP_SELF]?$datos=correo&amp;orden=ASC\">
        <img src=\"abajo.png\" alt=\"A-Z\" title=\"A-Z\" /></a>
        Correo
        <a href=\"$_SERVER[PHP_SELF]?$datos=correo&amp;orden=DESC\">
        <img src=\"arriba.png\" alt=\"Z-A\" title=\"Z-A\" /></a></th>
    </tr>
  </thead>
  <tbody>\n";
        foreach ($result as $valor) {
            print "    <tr>
      <td>$valor[nombre]</td>
      <td>$valor[apellidos]</td>
      <td>$valor[telefono]</td>
      <td>$valor[correo]</td>
    </tr>\n";
        }
        print "  </tbody>\n</table>\n";
    }
}

$db = null;
pie();
?>
